Bug 183416 - DoS attack possible via nfsservctl
DoS attack possible via nfsservctl
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-28 17:15 EST by Peter Staubach
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (774 bytes, patch)
2006-03-01 11:04 EST, Peter Staubach
no flags Details | Diff

  None (edit)
Description Peter Staubach 2006-02-28 17:15:29 EST
Description of problem:

There is a denial of service attack possible using the nfsservctl()
system call.  When it is invoked with an incorrect version number in
the arguments, it prints a message and returns an error.

Version-Release number of selected component (if applicable):


How reproducible:

Very reproducible.

Steps to Reproduce:
1. Invoke the nfsservctl() system with anything but 0x201 as the version
   number in the first argument.
  
Actual results:

The kernel prints the message, "nfsd: incompatible version in syscall.",
and returns an error.

Expected results:

Just the error return.

Additional info:
Comment 1 Peter Staubach 2006-03-01 11:04:02 EST
Created attachment 125474 [details]
Proposed patch
Comment 2 Peter Staubach 2006-03-01 11:05:48 EST
The solution is to not print the message.  It is only of vague usefulness
anyway.

Also cleaned up the error handling in the compat version of the nfsservctl()
system call.  It was attempting to proceed, even if the attempts to copy in
the arguments from the user level had failed.
Comment 3 Jason Baron 2006-04-18 13:11:07 EDT
committed in stream U4 build 34.18. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/ However, there is a *serious* slab
corruption issue with this kernel, and thus it should not be released to
customers under any circumstances. I'll update this bug when the kernel is
stable again.
Comment 5 Jason Baron 2006-04-19 15:43:36 EDT
We've identified the corruption as specfic to x86-64 smp kernel builds 34.16 and
34.17. All other builds are safe for consumption.
Comment 8 Red Hat Bugzilla 2006-08-10 18:28:51 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.